Zum Hauptinhalt springen

Pfeiltasten zum Navigieren, Eingabetaste zum Auswählen, Esc zum Schließen des Menüs.

Verschlüsselungsprogramme vergleichen und prüfen

Fünf belegbare Punkte entscheiden, ob ein Verschlüsselungsprogramm Vertrauen verdient. Wo verschlüsselt wird, wer den Schlüssel hält, welcher Standard mit welchen Parametern läuft, ob das Bedrohungsmodell zu Ihren Daten passt und was der Dienst nach dem Schließen des Browsers speichert. Werbetexte beantworten keinen davon. Die Checkliste unten geht sie in der Reihenfolge durch, in der sie entscheiden.

Zuerst: Wo findet die Verschlüsselung statt?

Netzwerk-Tab prüfen

Verschlüsselung kann im Browser vor dem Hochladen, auf dem Server des Anbieters nach dem Hochladen oder irgendwo dazwischen ablaufen. Der Ort entscheidet, was der Anbieter überhaupt sehen kann. Sobald Klartext oder ein roher Schlüssel über das Netz geht, gehören Mitarbeiter, Protokolle und Sicherungskopien des Anbieters zu Ihrer Angriffsfläche, unabhängig von der Absicht.

Öffnen Sie die Entwicklerwerkzeuge und beobachten Sie den Netzwerk-Tab, während Sie eine kurze Testzeichenfolge verschlüsseln. Ein clientseitiges Werkzeug überträgt in diesem Schritt nichts. Ein serverseitiges sendet Ihren Text und liefert verschlüsselte Daten zurück. Diese eine Beobachtung sagt mehr als jede Funktionsliste.

Zum Ausprobieren: Öffnen Sie den Netzwerk-Tab und verschlüsseln Sie eine Zeichenfolge.

  • Prüfen Sie, ob verschlüsselt wird, bevor Daten das Gerät verlassen
  • Testen Sie, ob ein Neuladen der Seite den Schlüssel verwirft
  • Verschlüsseln Sie einmal ohne Netzwerkverbindung

Wer hält den Schlüssel?

Öffnet Zurücksetzen altes Chiffrat?

Die Schlüsselverwaltung ist die zweite Frage und entscheidet meist über alles andere. Viele Zero-Knowledge-Ansätze leiten einen Schlüssel im Browser aus Ihrer Passphrase ab, halten ihn nur im Arbeitsspeicher und übertragen ihn nie. Das gibt Ihnen echte Kontrolle und nimmt Ihnen die Wiederherstellung: Niemand, auch nicht der Betreiber, kann den Schlüssel aus dem rekonstruieren, was auf dem Server liegt.

Manche Dienste bewahren eine Kopie Ihres Schlüssels auf, damit sie ein Konto wiederherstellen können. Das ist ein legitimer Tausch, den Sie als solchen lesen sollten. Wenn ein Betreiber Ihre Daten auf Anfrage wiederherstellen kann, kann das auch jeder, der Zugriff auf den Betreiber erlangt. Fragen Sie direkt: Können Sie meine Daten ohne meine Passphrase entschlüsseln?

Zum Ausprobieren: Fragen Sie, ob eine Zurücksetzung alte Dateien wieder öffnet.

  • Klären Sie, ob das Zurücksetzen des Passworts auch alten Inhalt wieder zugänglich macht
  • Suchen Sie in der Dokumentation nach Schlüsselhinterlegung und Wiederherstellungsschlüsseln
  • Entscheiden Sie, was für diese Daten wichtiger ist: Wiederherstellung oder alleinige Verwahrung

Algorithmen, Modi und Parameter prüfen

Namen statt Andeutungen

Ein seriöses Werkzeug nennt seine Verfahren, statt Stärke nur anzudeuten. AES-256-GCM ist in FIPS 197 und NIST SP 800-38D spezifiziert und liefert Vertraulichkeit plus ein Authentifizierungsmerkmal, das Manipulation erkennt. ChaCha20-Poly1305 nach RFC 8439 ist eine sinnvolle Wahl, wenn Hardwarebeschleunigung für AES fehlt. Die Schlüsselableitung zählt genauso: PBKDF2 ist in RFC 8018 definiert, Argon2 in RFC 9106, und Iterationszahl oder Speicherbedarf bestimmen, wie teuer das Raten Ihrer Passphrase wird.

Parameter gehören in die Dokumentation, direkt neben die Algorithmusnamen. Ein Werkzeug, das AES-256 nennt, aber Modus, Saltlänge, Nonce-Behandlung und Ableitungskosten verschweigt, lässt Sie genau bei den Teilen raten, die in der Praxis brechen.

Zum Ausprobieren: Notieren Sie Standard, Modus, Salz und Ableitungskosten.

  • Suchen Sie FIPS 197, NIST SP 800-38D, RFC 8439, RFC 8018 oder RFC 9106 mit Nummer
  • Prüfen Sie das Authentifizierungsmerkmal: GCM nutzt standardmäßig 128 Bit
  • Werten Sie unbestimmte Stärkeversprechen ohne Parameter als fehlende Antwort

Bedrohungsmodell bestimmen und Behauptungen nachprüfen

Nachprüfen statt vertrauen

Schreiben Sie zuerst auf, gegen welchen Gegner Sie sich schützen: ein gestohlenes Notebook, ein geteilter Rechner, eine Anfrage an den Anbieter, ein Beobachter im Netz oder eine Kollegin mit Zugriff auf dasselbe Konto. Keines davon deckt alles ab. Clientseitige Verschlüsselung deckt mehrere davon gut ab und hilft gegen einen kompromittierten Endpunkt überhaupt nicht. Ist Ihnen Wiederherstellung wichtiger als alleinige Verwahrung, wählen Sie einen Dienst, der sie bietet und das offen sagt. Schädliche Browsererweiterungen, Tastaturprotokolle und ein feindseliges Betriebssystem sehen Ihren Klartext, bevor eine Chiffre läuft.

Nachprüfen heißt, eine Behauptung auf dem eigenen Gerät zu wiederholen. Die W3C Web Crypto API ist auf MDN dokumentiert, und dasselbe Verfahren lässt sich in der Entwicklerwerkzeuge ausführen: await crypto.subtle.generateKey({name:"AES-GCM",length:256}, true, ["encrypt","decrypt"]). Für Dateiformate entschlüsseln Sie eine Probe mit einer unabhängigen Umsetzung wie Nodes crypto.createDecipheriv und vergleichen das Ergebnis. Quelloffenheit hilft nur, wenn Sie den Code lesen können, der tatsächlich läuft; prüfen Sie daher, ob veröffentlichter Quellcode und ausgeliefertes Paket übereinstimmen.

Zum Ausprobieren: Wiederholen Sie einen Krypto-Aufruf mit einer unabhängigen Umsetzung.

SzenarioWas Sie prüfen sollten
Verlorenes oder gestohlenes GerätDer Schlüssel wird nicht zusammen mit dem Geheimtext gespeichert.
Gemeinsam genutzter ComputerDas Schließen des Tabs löscht Eingabe und Schlüssel.
Verletzung beim AnbieterEs gibt keine serverseitigen Nutzdaten, die gestohlen werden könnten.
Rechtliche Anfrage an den AnbieterEs gibt weder Schlüssel noch Klartext zum Herausgeben.

Aufbewahrung, Löschung und Offline-Betrieb

Ablauf, Löschung, Offline-Betrieb

Wie lange verschlüsselte Daten, Metadaten und Protokolle existieren, entscheidet die Aufbewahrung. Ein Dienst, der nichts speichert, hat nichts herauszugeben; einer, der verschlüsselte Blöcke behält, braucht eine klare Ablauffrist. Suchen Sie nach einer schriftlich genannten Frist, nach einer Löschfunktion, die das Objekt wirklich entfernt, und nach einer Aussage dazu, was nach dem Löschen in Sicherungskopien zurückbleibt.

Zur selben Prüfung gehört die Offline-Fähigkeit. Wenn die Seite bei getrennter Verbindung weiter verschlüsselt, läuft die Kryptografie lokal, und das Werkzeug bleibt im Flugzeug, in einem gesperrten Netz oder nach dem Verschwinden des Dienstes nutzbar. Ein Werkzeug, das ohne Netzwerkrunde scheitert, erledigt etwas auf einem Server, unabhängig davon, was die Oberfläche nahelegt.

Zum Ausprobieren: Trennen Sie das Netz, verschlüsseln Sie und sehen Sie, was läuft.

  • Suchen Sie die Aufbewahrungsfrist schriftlich, nicht in einem Hilfetext
  • Testen Sie die Löschung und prüfen Sie, ob die Daten aus Ihrem Konto verschwinden
  • Laden Sie die Seite, trennen Sie das Netz und verschlüsseln Sie eine Testzeichenfolge

Häufige Fragen

Woran erkenne ich ein vertrauenswürdiges Verschlüsselungsprogramm?

Beginnen Sie mit Ort und Schlüsselverwaltung, weil diese beiden Antworten die meisten Kandidaten aussortieren. Danach verlangen Sie benannte Algorithmen mit veröffentlichten Parametern, eine lesbare Aufbewahrungsregel und einen Weg, die Verschlüsselung selbst zu testen. Fehlt einer dieser Punkte, ist die Lücke die Antwort.

Welche Kriterien sind bei der Auswahl am wichtigsten?

Fünf Prüfungen decken den größten Teil der Entscheidung ab: wo verschlüsselt wird, wer den Schlüssel hält, welcher Standard mit welchen Parametern läuft, was der Dienst behält und ob das Bedrohungsmodell passt. Die Nachprüfbarkeit zieht sich durch alle fünf: Können Sie jeden Punkt auf eigener Hardware bestätigen? Werkzeuge, die alle fünf schriftlich beantworten, sind selten, und das ist eine nützliche Information.

Muss ein Verschlüsselungsprogramm quelloffen sein?

Quelloffenheit ermöglicht unabhängige Prüfung, ist aber allein kein Beweis. Ein veröffentlichtes Repository hilft nur, wenn Sie bestätigen können, dass der laufende Code daraus gebaut wurde, und wenn sich jemand mit Sachkenntnis die Kryptografie angesehen hat. Geschlossene Werkzeuge können ehrlich sein; Sie stützen sich dann auf Dokumentation und eigene Netzwerktests statt auf den Quellcode.

Checkliste an einem echten Werkzeug testen

Öffnen Sie die Browserwerkzeuge, verschlüsseln Sie eine kurze Testzeichenfolge und beobachten Sie dabei den Netzwerk-Tab. Ein Konto ist nicht nötig.